function gotoCheckLoginName(iuser){
	if (checkMemLoginName(iuser))
	{
		window.open('checkLogName.asp?iuser=' + iuser,iuser,'resizable=0,scrollbars=0,status=0,toolbar=0,location=0,menu=0,width=302,height=152,top='+ (screen.height/2-75) +',left=' + (screen.width-150)/2);
	}
}

function checkMemLoginName(iuser){

  if (iuser=='')
  {
  	  alert('请填写您的会员登录名！');
	  return false;
  }
  if (! ((iuser.length>=3)&&(iuser.length<=16)))
  {
	  alert('会员登录名最少3个字符，最多16个字符，请重新填写！');
	  return false;
  }

  if (! checkCustomerid(iuser))
  {
     alert('会员登录名只能由英文字母及数字组成，请重新填写！');
	 return false;
  }
  return true;
}


function checkCustomerid(str){

  var strSource ="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
  var ch;
  var i;
  var temp;
  
  for (i=0;i<=(str.length-1);i++)
  {
  
    ch = str.charAt(i);
    temp = strSource.indexOf(ch);
    if (temp==-1) 
    {
     return false;
    }
  }
  if (strSource.indexOf(ch)==-1)
  {
    return false;
  }
  else
  {
    return true;
  } 


}



function PWDcheck(str)
{
  var strSource ="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
  var ch;
  var i;
  var temp;
  
  for (i=0;i<=(str.length-1);i++)
  {
  
    ch = str.charAt(i);
    temp = strSource.indexOf(ch);
    if (temp==-1) 
    {
     return 0;
    }
  }
  if (strSource.indexOf(ch)==-1)
  {
    return 0;
  }
  else
  {
    return 1;
  } 
}


function checkregform(theForm)
{

 if (!(checkMemLoginName(theForm.iuser.value)))
 {
    theForm.iuser.focus();
    return (false);

 }

  if (theForm.ipwd1.value == "")
  {
    alert("请填写您的 会员登录密码 。");
    theForm.ipwd1.focus();
    return (false);
  }

  if (theForm.ipwd1.value.length < 4)
  {
    alert("会员登录密码 长度应在4-14个字符之间。");
    theForm.ipwd1.focus();
    return (false);
  }

  if (theForm.ipwd1.value.length > 14)
  {
    alert("会员登录密码 长度应在4-14个字符之间。");
    theForm.ipwd1.focus();
    return (false);
  }

  if (theForm.ipwd2.value == "")
  {
    alert("请确认会员登录密码。");
    theForm.ipwd2.focus();
    return (false);
  }

  if (theForm.ipwd2.value.length < 4)
  {
    alert("会员登录密码 长度应在4-14个字符之间。");
    theForm.ipwd2.focus();
    return (false);
  }

  if (theForm.ipwd2.value.length > 14)
  {
    alert("会员登录密码 长度应在4-14个字符之间。");
    theForm.ipwd2.focus();
    return (false);
  }

  if (theForm.ipwd1.value!= theForm.ipwd2.value)
  {
    alert("会员登录密码 两次输入的内容不相同。");
    theForm.ipwd2.focus();
    return (false);
  }

 if (theForm.iemail.value == "")
  {
    alert("请填写您的 E-mail ");
    theForm.iemail.focus();
    return (false);
  }

  if (theForm.iemail.value.length < 4)
  {
    alert("E-mail 长度应在4-50个字符之间。");
    theForm.iemail.focus();
    return (false);
  }

  if (theForm.iemail.value.length > 50)
  {
    alert("E-mail 长度应在4-50个字符之间。");
    theForm.iemail.focus();
    return (false);
  }

if (!(checkEmailFormat(theForm.iemail)))
{
 return (false);
}


	
	if (theForm.iyzm.value == "")
  {
    alert("请填写系统验证码 。");
    theForm.iyzm.focus();
    return (false);
  }

 


  
  if (theForm.iname.value == "")
  {
    alert("请填写您的 姓名 。");
    theForm.iname.focus();
    return (false);
  }

  if (theForm.iname.value.length < 2)
  {
    alert("姓名 长度应在2-8个字符之间。");
    theForm.iname.focus();
    return (false);
  }

  if (theForm.iname.value.length > 8)
  {
    alert("姓名 长度应在2-8个字符之间。");
    theForm.iname.focus();
    return (false);
  }

  if (theForm.izhjian.value == "")
  {
    alert("请填写您的 身份证号 。");
    theForm.izhjian.focus();
    return (false);
  }

  if (theForm.izhjian.value.length < 15)
  {
    alert("身份证号 长度应为15或18位。");
    theForm.izhjian.focus();
    return (false);
  }

  if (theForm.izhjian.value.length > 18)
  {
    alert("身份证号 长度应为15或18位。");
    theForm.izhjian.focus();
    return (false);
  }


if (theForm.icity.options[theForm.icity.selectedIndex].value=="-1")
{
 alert("请选择您所在的城市。");
 theForm.city.focus();
 return (false);
}
  if (theForm.iphone.value == "")
  {
    alert("请填写您的 电话 。");
    theForm.iphone.focus();
    return (false);
  }

  if (theForm.iphone.value.length < 5)
  {
    alert("电话 长度应在5-15个字符之间。");
    theForm.uphone.focus();
    return (false);
  }

  if (theForm.iphone.value.length > 15)
  {
    alert("电话 长度应在5-15个字符之间。");
    theForm.iphone.focus();
    return (false);
  }

 
  return (true);
}



function showDealpwd(pflag)
{
	if (pflag=="b")
	{
      document.all.dealpwd.style.display = "block";
      document.all.dealpwd2.style.display = "block";
	 // document.regform.cxcx.value="b";
	}
	else
	{
      document.all.dealpwd.style.display = "none";
      document.all.dealpwd2.style.display = "none";
	 // document.regform.cxcx="a";
	}

}
